Subject: Re: [bug#53676] [PATCH 5/5] services: pulseaudio: Deploy the configuration files to /etc/pulse.

From: Jack Hill <[email-masked]>
Date: Wed, 2 Feb 2022 17:43:21 -0500 (EST)

On Tue, 1 Feb 2022, Liliana Marie Prikler wrote:

> Hi,
>
> Am Montag, dem 31.01.2022 um 23:19 -0500 schrieb Maxim Cournoyer:
>> * gnu/services/sound.scm (pulseaudio-environment)
>> [PULSE_CONFIG, PULSE_CLIENTCONFIG]: Use fix locations, and move logic
>> to...
>> (pulseaudio-etc): ... this service extension.  Guard against producing
>> empty files.
>
> This patch reproduces (more or less) the initial layout we had for
> pulseaudio-service-type.  However, that layout has been reported to not
> work with some sandboxes.  I tried tracking down a specific bug, but
> could only gather <https://issues.guix.gnu.org/42118#3>.
>
>> Due to a bug with webkit sandboxing, we no longer put daemon.conf
>> into /etc/pulse (my bad), but rather set PULSE_CONFIG to directly
>> point to it.
>
> In other words, we should check whether Epiphany still plays sound
> properly with this patch applied.
>
> Cheers

I reported the original bugs for this in Guix [0] and WebKitGTK [1], so it 
was easy for me to find the references; hope they help! Unfortunately, it 
doesn't look like the WebKitGTK bug has been fixed (probably waiting on a 
C++ hacker). Note that the symptom I saw wasn't just that sound didn't 
work, but that the sandboxed processes crashed, so no web content was 
rendered.

[0] https://issues.guix.gnu.org/40837
[1] https://bugs.webkit.org/show_bug.cgi?id=211131

Unfortunately, I haven't had time to test this series.

Sorry!
Jack